Scholar Repository
Home>Manual>Installation

Installation


Installation

Prerequisites

FPM uses libevent to manage connections and signals. Minimum required version is libevent-1.4.11.

Compiling from sources

In order to enable FPM in your PHP build you need to add --enable-fpm to your configure line.

There are several other FPM-specific configure options (all of them optional):

  • --with-libevent-dir - path to libevent install prefix.

  • --with-fpm-user - set FPM user (default - nobody).

  • --with-fpm-group - set FPM group (default - nobody).


Home>Manual>Installation